"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_tag_1 = __importDefault(require("graphql-tag"));
const kikstart_apollo_client_1 = require("./kikstart-apollo-client");
class GraphQLClient {
    constructor(config) {
        this.config = config;
        this.apollo = kikstart_apollo_client_1.createClient(this.config);
    }
    query(query) {
        return typeof query === 'string' ? graphql_tag_1.default(query) : query;
    }
    async runQuery(query, variables = {}) {
        return this.apollo.query({ query: this.query(query), variables });
    }
    async runMutation(mutation, variables = {}) {
        return this.apollo.mutate({ mutation: this.query(mutation), variables });
    }
    runSubscription(query, variables = {}) {
        return this.apollo.subscribe({ query: this.query(query), variables });
    }
}
exports.GraphQLClient = GraphQLClient;
//# sourceMappingURL=kikstart-graphql-client.js.map